Fix dependencies
[rails.git] / Gemfile.lock
1 GEM
2   remote: https://rubygems.org/
3   specs:
4     SystemTimer (1.2.3)
5     aasm (5.0.2)
6       concurrent-ruby (~> 1.0)
7     actioncable (5.2.3)
8       actionpack (= 5.2.3)
9       nio4r (~> 2.0)
10       websocket-driver (>= 0.6.1)
11     actionmailer (5.2.3)
12       actionpack (= 5.2.3)
13       actionview (= 5.2.3)
14       activejob (= 5.2.3)
15       mail (~> 2.5, >= 2.5.4)
16       rails-dom-testing (~> 2.0)
17     actionpack (5.2.3)
18       actionview (= 5.2.3)
19       activesupport (= 5.2.3)
20       rack (~> 2.0)
21       rack-test (>= 0.6.3)
22       rails-dom-testing (~> 2.0)
23       rails-html-sanitizer (~> 1.0, >= 1.0.2)
24     actionpack-page_caching (1.1.1)
25       actionpack (>= 4.0.0, < 6)
26     actionview (5.2.3)
27       activesupport (= 5.2.3)
28       builder (~> 3.1)
29       erubi (~> 1.4)
30       rails-dom-testing (~> 2.0)
31       rails-html-sanitizer (~> 1.0, >= 1.0.3)
32     active_record_union (1.3.0)
33       activerecord (>= 4.0)
34     activejob (5.2.3)
35       activesupport (= 5.2.3)
36       globalid (>= 0.3.6)
37     activemodel (5.2.3)
38       activesupport (= 5.2.3)
39     activerecord (5.2.3)
40       activemodel (= 5.2.3)
41       activesupport (= 5.2.3)
42       arel (>= 9.0)
43     activerecord-import (1.0.1)
44       activerecord (>= 3.2)
45     activestorage (5.2.3)
46       actionpack (= 5.2.3)
47       activerecord (= 5.2.3)
48       marcel (~> 0.3.1)
49     activesupport (5.2.3)
50       concurrent-ruby (~> 1.0, >= 1.0.2)
51       i18n (>= 0.7, < 2)
52       minitest (~> 5.1)
53       tzinfo (~> 1.1)
54     addressable (2.6.0)
55       public_suffix (>= 2.0.2, < 4.0)
56     annotate (2.7.4)
57       activerecord (>= 3.2, < 6.0)
58       rake (>= 10.4, < 13.0)
59     arel (9.0.0)
60     ast (2.4.0)
61     autoprefixer-rails (8.6.5)
62       execjs
63     better_errors (2.5.1)
64       coderay (>= 1.0.0)
65       erubi (>= 1.0.0)
66       rack (>= 0.9.0)
67     better_html (1.0.13)
68       actionview (>= 4.0)
69       activesupport (>= 4.0)
70       ast (~> 2.0)
71       erubi (~> 1.4)
72       html_tokenizer (~> 0.0.6)
73       parser (>= 2.4)
74       smart_properties
75     bigdecimal (1.1.0)
76     binding_of_caller (0.8.0)
77       debug_inspector (>= 0.0.1)
78     bootsnap (1.4.2)
79       msgpack (~> 1.0)
80     browser (2.5.3)
81     builder (3.2.3)
82     cancancan (2.3.0)
83     canonical-rails (0.2.5)
84       rails (>= 4.1, < 6.1)
85     capybara (2.18.0)
86       addressable
87       mini_mime (>= 0.1.3)
88       nokogiri (>= 1.3.3)
89       rack (>= 1.0.0)
90       rack-test (>= 0.5.4)
91       xpath (>= 2.0, < 4.0)
92     climate_control (0.2.0)
93     cliver (0.3.2)
94     coderay (1.1.2)
95     coffee-rails (4.2.2)
96       coffee-script (>= 2.2.0)
97       railties (>= 4.0.0)
98     coffee-script (2.4.1)
99       coffee-script-source
100       execjs
101     coffee-script-source (1.12.2)
102     composite_primary_keys (11.1.0)
103       activerecord (~> 5.2.1)
104     concurrent-ruby (1.1.5)
105     config (1.7.1)
106       activesupport (>= 3.0)
107       deep_merge (~> 1.2.1)
108       dry-validation (>= 0.12.2)
109     coveralls (0.8.22)
110       json (>= 1.8, < 3)
111       simplecov (~> 0.16.1)
112       term-ansicolor (~> 1.3)
113       thor (~> 0.19.4)
114       tins (~> 1.6)
115     crack (0.4.3)
116       safe_yaml (~> 1.0.0)
117     crass (1.0.4)
118     dalli (2.7.10)
119     debug_inspector (0.0.3)
120     deep_merge (1.2.1)
121     delayed_job (4.1.5)
122       activesupport (>= 3.0, < 5.3)
123     delayed_job_active_record (4.1.3)
124       activerecord (>= 3.0, < 5.3)
125       delayed_job (>= 3.0, < 5)
126     docile (1.3.1)
127     dry-configurable (0.8.2)
128       concurrent-ruby (~> 1.0)
129       dry-core (~> 0.4, >= 0.4.7)
130     dry-container (0.7.0)
131       concurrent-ruby (~> 1.0)
132       dry-configurable (~> 0.1, >= 0.1.3)
133     dry-core (0.4.7)
134       concurrent-ruby (~> 1.0)
135     dry-equalizer (0.2.2)
136     dry-inflector (0.1.2)
137     dry-logic (0.5.0)
138       dry-container (~> 0.2, >= 0.2.6)
139       dry-core (~> 0.2)
140       dry-equalizer (~> 0.2)
141     dry-types (0.14.1)
142       concurrent-ruby (~> 1.0)
143       dry-container (~> 0.3)
144       dry-core (~> 0.4, >= 0.4.4)
145       dry-equalizer (~> 0.2)
146       dry-inflector (~> 0.1, >= 0.1.2)
147       dry-logic (~> 0.5, >= 0.5)
148     dry-validation (0.13.1)
149       concurrent-ruby (~> 1.0)
150       dry-configurable (~> 0.1, >= 0.1.3)
151       dry-core (~> 0.2, >= 0.2.1)
152       dry-equalizer (~> 0.2)
153       dry-logic (~> 0.5, >= 0.5.0)
154       dry-types (~> 0.14.0)
155     dynamic_form (1.1.4)
156     erb_lint (0.0.28)
157       activesupport
158       better_html (~> 1.0.7)
159       html_tokenizer
160       rainbow
161       rubocop (~> 0.51)
162       smart_properties
163     erubi (1.8.0)
164     execjs (2.7.0)
165     exifr (1.3.6)
166     factory_bot (5.0.2)
167       activesupport (>= 4.2.0)
168     factory_bot_rails (5.0.1)
169       factory_bot (~> 5.0.0)
170       railties (>= 4.2.0)
171     fakefs (0.20.0)
172     faraday (0.15.4)
173       multipart-post (>= 1.2, < 3)
174     ffi (1.10.0)
175     fspath (3.1.0)
176     gd2-ffij (0.3.0)
177       ffi (>= 1.0.0)
178     geoip (1.6.4)
179     globalid (0.4.2)
180       activesupport (>= 4.2.0)
181     hashdiff (0.3.8)
182     hashie (3.6.0)
183     html_tokenizer (0.0.7)
184     htmlentities (4.3.4)
185     http_accept_language (2.0.5)
186     i18n (0.9.5)
187       concurrent-ruby (~> 1.0)
188     i18n-js (3.2.1)
189       i18n (>= 0.6.6)
190     image_optim (0.26.3)
191       exifr (~> 1.2, >= 1.2.2)
192       fspath (~> 3.0)
193       image_size (>= 1.5, < 3)
194       in_threads (~> 1.3)
195       progress (~> 3.0, >= 3.0.1)
196     image_optim_rails (0.4.1)
197       image_optim (~> 0.24)
198       rails
199       sprockets
200     image_size (2.0.0)
201     in_threads (1.5.1)
202     jaro_winkler (1.5.2)
203     jquery-rails (4.3.3)
204       rails-dom-testing (>= 1, < 3)
205       railties (>= 4.2.0)
206       thor (>= 0.14, < 2.0)
207     jshint (1.5.0)
208       execjs (>= 1.4.0)
209       multi_json (~> 1.0)
210       therubyracer (~> 0.12.1)
211     json (2.2.0)
212     jsonify (0.3.1)
213       multi_json (~> 1.0)
214     jsonify-rails (0.3.2)
215       actionpack
216       jsonify (< 0.4.0)
217     jwt (2.1.0)
218     kgio (2.11.2)
219     kramdown (2.1.0)
220     libv8 (3.16.14.19)
221     libxml-ruby (3.1.0)
222     listen (3.1.5)
223       rb-fsevent (~> 0.9, >= 0.9.4)
224       rb-inotify (~> 0.9, >= 0.9.7)
225       ruby_dep (~> 1.2)
226     logstash-event (1.2.02)
227     logstasher (1.3.0)
228       activesupport (>= 4.0)
229       logstash-event (~> 1.2.0)
230       request_store
231     loofah (2.2.3)
232       crass (~> 1.0.2)
233       nokogiri (>= 1.5.9)
234     mail (2.7.1)
235       mini_mime (>= 0.1.1)
236     marcel (0.3.3)
237       mimemagic (~> 0.3.2)
238     method_source (0.9.2)
239     mime-types (3.2.2)
240       mime-types-data (~> 3.2015)
241     mime-types-data (3.2018.0812)
242     mimemagic (0.3.3)
243     mini_mime (1.0.1)
244     mini_portile2 (2.4.0)
245     minitest (5.11.3)
246     msgpack (1.2.9)
247     multi_json (1.13.1)
248     multi_xml (0.6.0)
249     multipart-post (2.0.0)
250     nio4r (2.3.1)
251     nokogiri (1.10.2)
252       mini_portile2 (~> 2.4.0)
253     nokogumbo (2.0.1)
254       nokogiri (~> 1.8, >= 1.8.4)
255     oauth (0.4.7)
256     oauth-plugin (0.5.1)
257       multi_json
258       oauth (~> 0.4.4)
259       oauth2 (>= 0.5.0)
260       rack
261     oauth2 (1.4.1)
262       faraday (>= 0.8, < 0.16.0)
263       jwt (>= 1.0, < 3.0)
264       multi_json (~> 1.3)
265       multi_xml (~> 0.5)
266       rack (>= 1.2, < 3)
267     omniauth (1.9.0)
268       hashie (>= 3.4.6, < 3.7.0)
269       rack (>= 1.6.2, < 3)
270     omniauth-facebook (5.0.0)
271       omniauth-oauth2 (~> 1.2)
272     omniauth-github (1.3.0)
273       omniauth (~> 1.5)
274       omniauth-oauth2 (>= 1.4.0, < 2.0)
275     omniauth-google-oauth2 (0.6.1)
276       jwt (>= 2.0)
277       omniauth (>= 1.1.1)
278       omniauth-oauth2 (>= 1.5)
279     omniauth-mediawiki (0.0.4)
280       jwt (~> 2.0)
281       omniauth-oauth (~> 1.0)
282     omniauth-oauth (1.1.0)
283       oauth
284       omniauth (~> 1.0)
285     omniauth-oauth2 (1.6.0)
286       oauth2 (~> 1.1)
287       omniauth (~> 1.9)
288     omniauth-openid (1.0.1)
289       omniauth (~> 1.0)
290       rack-openid (~> 1.3.1)
291     omniauth-windowslive (0.0.12)
292       multi_json (~> 1.12)
293       omniauth-oauth2 (~> 1.4)
294     openstreetmap-deadlock_retry (1.3.0)
295     paperclip (5.3.0)
296       activemodel (>= 4.2.0)
297       activesupport (>= 4.2.0)
298       mime-types
299       mimemagic (~> 0.3.0)
300       terrapin (~> 0.6.0)
301     parallel (1.16.0)
302     parser (2.6.2.0)
303       ast (~> 2.4.0)
304     pg (0.21.0)
305     poltergeist (1.18.1)
306       capybara (>= 2.1, < 4)
307       cliver (~> 0.3.1)
308       websocket-driver (>= 0.2.0)
309     progress (3.5.0)
310     psych (3.1.0)
311     public_suffix (3.0.3)
312     puma (3.12.1)
313     quad_tile (1.0.1)
314     r2 (0.2.7)
315     rack (2.0.6)
316     rack-cors (1.0.3)
317     rack-openid (1.3.1)
318       rack (>= 1.1.0)
319       ruby-openid (>= 2.1.8)
320     rack-test (1.1.0)
321       rack (>= 1.0, < 3)
322     rack-uri_sanitizer (0.0.2)
323     rails (5.2.3)
324       actioncable (= 5.2.3)
325       actionmailer (= 5.2.3)
326       actionpack (= 5.2.3)
327       actionview (= 5.2.3)
328       activejob (= 5.2.3)
329       activemodel (= 5.2.3)
330       activerecord (= 5.2.3)
331       activestorage (= 5.2.3)
332       activesupport (= 5.2.3)
333       bundler (>= 1.3.0)
334       railties (= 5.2.3)
335       sprockets-rails (>= 2.0.0)
336     rails-controller-testing (1.0.4)
337       actionpack (>= 5.0.1.x)
338       actionview (>= 5.0.1.x)
339       activesupport (>= 5.0.1.x)
340     rails-dom-testing (2.0.3)
341       activesupport (>= 4.2.0)
342       nokogiri (>= 1.6)
343     rails-html-sanitizer (1.0.4)
344       loofah (~> 2.2, >= 2.2.2)
345     rails-i18n (4.0.2)
346       i18n (~> 0.6)
347       rails (>= 4.0)
348     railties (5.2.3)
349       actionpack (= 5.2.3)
350       activesupport (= 5.2.3)
351       method_source
352       rake (>= 0.8.7)
353       thor (>= 0.19.0, < 2.0)
354     rainbow (3.0.0)
355     rake (12.3.2)
356     rb-fsevent (0.10.3)
357     rb-inotify (0.10.0)
358       ffi (~> 1.0)
359     record_tag_helper (1.0.0)
360       actionview (~> 5.x)
361     ref (2.0.0)
362     request_store (1.4.1)
363       rack (>= 1.4)
364     rinku (2.0.4)
365     rotp (4.1.0)
366       addressable (~> 2.5)
367     rubocop (0.66.0)
368       jaro_winkler (~> 1.5.1)
369       parallel (~> 1.10)
370       parser (>= 2.5, != 2.5.1.1)
371       psych (>= 3.1.0)
372       rainbow (>= 2.2.2, < 4.0)
373       ruby-progressbar (~> 1.7)
374       unicode-display_width (>= 1.4.0, < 1.6)
375     ruby-openid (2.7.0)
376     ruby-progressbar (1.10.0)
377     ruby_dep (1.5.0)
378     safe_yaml (1.0.5)
379     sanitize (5.0.0)
380       crass (~> 1.0.2)
381       nokogiri (>= 1.8.0)
382       nokogumbo (~> 2.0)
383     sassc (2.0.1)
384       ffi (~> 1.9)
385       rake
386     sassc-rails (2.1.0)
387       railties (>= 4.0.0)
388       sassc (>= 2.0)
389       sprockets (> 3.0)
390       sprockets-rails
391       tilt
392     secure_headers (6.1.0)
393     simplecov (0.16.1)
394       docile (~> 1.1)
395       json (>= 1.8, < 3)
396       simplecov-html (~> 0.10.0)
397     simplecov-html (0.10.2)
398     smart_properties (1.13.1)
399     sprockets (3.7.2)
400       concurrent-ruby (~> 1.0)
401       rack (> 1, < 3)
402     sprockets-rails (3.2.1)
403       actionpack (>= 4.0)
404       activesupport (>= 4.0)
405       sprockets (>= 3.0.0)
406     term-ansicolor (1.7.1)
407       tins (~> 1.0)
408     terrapin (0.6.0)
409       climate_control (>= 0.0.3, < 1.0)
410     therubyracer (0.12.3)
411       libv8 (~> 3.16.14.15)
412       ref
413     thor (0.19.4)
414     thread_safe (0.3.6)
415     tilt (2.0.9)
416     tins (1.20.2)
417     tzinfo (1.2.5)
418       thread_safe (~> 0.1)
419     uglifier (4.1.20)
420       execjs (>= 0.3.0, < 3)
421     unicode-display_width (1.5.0)
422     validates_email_format_of (1.6.3)
423       i18n
424     vendorer (0.2.0)
425     webmock (3.5.1)
426       addressable (>= 2.3.6)
427       crack (>= 0.3.2)
428       hashdiff
429     websocket-driver (0.7.0)
430       websocket-extensions (>= 0.1.0)
431     websocket-extensions (0.1.3)
432     xpath (3.2.0)
433       nokogiri (~> 1.8)
434
435 PLATFORMS
436   ruby
437
438 DEPENDENCIES
439   SystemTimer (>= 1.1.3)
440   aasm
441   actionpack-page_caching
442   active_record_union
443   activerecord-import
444   annotate
445   autoprefixer-rails (~> 8.6.3)
446   better_errors
447   bigdecimal (~> 1.1.0)
448   binding_of_caller
449   bootsnap (>= 1.1.0)
450   browser
451   cancancan
452   canonical-rails
453   capybara (~> 2.13)
454   coffee-rails (~> 4.2)
455   composite_primary_keys (~> 11.1.0)
456   config
457   coveralls
458   dalli
459   delayed_job_active_record
460   dynamic_form
461   erb_lint
462   factory_bot_rails
463   fakefs
464   faraday
465   gd2-ffij
466   geoip
467   htmlentities
468   http_accept_language (~> 2.0.0)
469   i18n-js (>= 3.0.0)
470   image_optim_rails
471   jquery-rails
472   jshint
473   json
474   jsonify-rails
475   kgio
476   kramdown
477   libxml-ruby (>= 2.0.5)
478   listen
479   logstasher
480   minitest (~> 5.1)
481   oauth-plugin (>= 0.5.1)
482   omniauth
483   omniauth-facebook
484   omniauth-github
485   omniauth-google-oauth2 (>= 0.6.0)
486   omniauth-mediawiki (>= 0.0.4)
487   omniauth-openid
488   omniauth-windowslive
489   openstreetmap-deadlock_retry (>= 1.3.0)
490   paperclip (~> 5.2)
491   pg (~> 0.18)
492   poltergeist
493   psych
494   puma (~> 3.7)
495   quad_tile (~> 1.0.1)
496   r2 (~> 0.2.7)
497   rack-cors
498   rack-uri_sanitizer
499   rails (= 5.2.3)
500   rails-controller-testing
501   rails-i18n (~> 4.0.0)
502   record_tag_helper
503   rinku (= 2.0.4)
504   rotp
505   rubocop
506   sanitize
507   sassc-rails
508   secure_headers
509   uglifier (>= 1.3.0)
510   validates_email_format_of (>= 1.5.1)
511   vendorer
512   webmock
513
514 BUNDLED WITH
515    1.16.2